---
title: "Lists all available API endpoints provided by this server."
url: "https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8/operations/endpoints_handler"
---

> Full API specification: https://developer.rucho.org/apis/rucho/versions/5bdf1bcb-8db4-40f1-a293-72c7198e26c8.md

# Lists all available API endpoints provided by this server.

`GET` `/endpoints`

Operation ID: `endpoints_handler`

Returns a JSON array of `EndpointInfo` objects, each describing an endpoint's path, HTTP method, and a brief description. # HTTP Method: - `GET` # Responses: - `200 OK`: Successfully returns the list of endpoints. - `500 Internal Server Error`: If there's an issue serializing the endpoint data.

## Responses

- `200` - Lists all available API endpoints

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: rucho
  version: 1.6.0
servers:
  - url: https://rucho.org
    description: Production (EKS us-east-2, behind Kong)
paths:
  /endpoints:
    get:
      tags:
        - crate::routes::core_routes
      summary: Lists all available API endpoints provided by this server.
      description: >-
        Returns a JSON array of `EndpointInfo` objects, each describing an
        endpoint's

        path, HTTP method, and a brief description.


        # HTTP Method:

        - `GET`


        # Responses:

        - `200 OK`: Successfully returns the list of endpoints.

        - `500 Internal Server Error`: If there's an issue serializing the
        endpoint data.
      operationId: endpoints_handler
      responses:
        "200":
          description: Lists all available API endpoints
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: "#/components/schemas/EndpointInfo"
components:
  schemas:
    EndpointInfo:
      type: object
      description: Represents information about an API endpoint.
      required:
        - path
        - method
        - description
      properties:
        description:
          type: string
          description: A brief description of the endpoint's purpose.
          example: Echoes request details for GET.
        method:
          type: string
          description: The HTTP method of the endpoint (e.g., "GET").
          example: GET
        path:
          type: string
          description: The path of the endpoint (e.g., "/get").
          example: /get
```
